//********************************************************************************
//*                                                                              *
//* Description:                                                                 *
//*                                                                              *
//*        Name:  Timers.c                                                       *
//*      Author:  Daniel F. Ramirez                                              *
//*        Date:  09/08/2011                                                     *    
//*                                                                              *
//* Description:                                                                 *
//*     This application tests the Sparkfun HMC6352 I2C Electronic Compass made  *
//* by Honeywell using the VEX v0.5 Microcontroller.                             *  
//*                                                                              *                  
//********************************************************************************
  
// Include file headers here
#include <ctype.h>
#include <stdlib.h>
#include <string.h>
#include <i2c.h>                                        // I2C library functions
#include <pwm.h>                                        // PWM library functions
#include <timers.h>                                     // Timer library functions
#include <portb.h>                                      // PORTB library functions                                 
#include <usart.h>                                      // USART library functions
#include <delays.h>                                     // High resolution delay functions
 
//#include <delays.h>
#include "sw_i2c.h"
#include "Main.h"
   

 

// Delay routines

void delay_10us(int t)
{
 
   do
   {
        Delay10TCY();
   } while(--t);

/*  

#asm
      BCF STATUS, RP0
DELAY_10US_1:
      CLRWDT
      NOP
      NOP
      NOP
      NOP
      NOP
      NOP
      DECFSZ t, F
      GOTO DELAY_10US_1
#endasm

*/
}

void delay_ms(long t)   // delays t millisecs
{
    Wait(t);
/*
   do
   {
     delay_10us(100);
   } while(--t);
*/

}

 















